Package org.springframework.http

# Interface HttpRequest

All Superinterfaces:
  `HttpMessage`

All Known Subinterfaces:
  `ClientHttpRequest`, `ServerHttpRequest`, `ServerHttpRequest`

All Known Implementing Classes:
  `AbstractClientHttpRequest`, `AbstractServerHttpRequest`, `HttpRequestWrapper`, `RequestPartServletServerHttpRequest`, `ServerHttpRequestDecorator`, `ServletServerHttpRequest`

public interface HttpRequest extends HttpMessage
Represents an HTTP request message, consisting of a method and a URI.

Since:
  3.1
Author:
  Arjen Poutsma

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getAttributes()`
Return a mutable map of request attributes for this request.
`HttpMethod`
`getMethod()`
Return the HTTP method of the request.
`URI`
`getURI()`
Return the URI of the request (including a query string if any, but only if it is well-formed for a URI representation).

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`

## Method Details

### getMethod

HttpMethod getMethod()
Return the HTTP method of the request.

Returns:
  the HTTP method as an HttpMethod value
See Also:
  - `HttpMethod.valueOf(String)`

### getURI

URI getURI()
Return the URI of the request (including a query string if any, but only if it is well-formed for a URI representation).

Returns:
  the URI of the request (never `null`)

### getAttributes

Map<String,Object> getAttributes()
Return a mutable map of request attributes for this request.

Since:
  6.2